Endpoint: /sites/{siteId}/gdpr

Returns and updates the GDPR configuration for specific profile

Method & URL

GET https://[server URL]:[port]/admin/v2/sites/{siteId}/gdpr

GET Body Sample

Copy
### GET the GDRP Settings####
GET https://{{host}}/admin/v2/sites/{{Siteid}}/gdpr/ HTTP/1.1
Authorization: EFTAdminAuthToken {{AuthToken}}

GET Response Body Sample

Copy
{ "data": { "id": "0de7387f-1506-427d-b997-e18bcdb8cbae", "type": "gdpr", 
"attributes": { "materialScope": "Unknown or undefined", "territorialScope": { 
"type": "Unknown or undefined", "value": { "showEUStatus": false, 
"allUsersToChangeEUSubject": false } }, "processingPrinciples": "Unknown or undefined", 
"lawfulnessOfProcessing": "Unknown or undefined", "conditionsForConsent": 
"Unknown or undefined", "ageRestrictions": "Unknown or undefined", "transparentInformation": 
"Unknown or undefined", "directCollection": "Unknown or undefined", "indirectCollection": 
"Unknown or undefined", "rightOfAccess": "Unknown or undefined", "rightToRectify": 
"Unknown or undefined", "rightToBeForgotten": "Unknown or undefined", "rightToRestrict": 
"Unknown or undefined", "rightToBeNotified": "Unknown or undefined", "rightToExport": 
"Unknown or undefined", "rightToObject": "Unknown or undefined", "encryption": 
"Personal data is encrypted by EFT", "limitedAccess": "Configured By EFT", "purpose": { 
"type": "Configured By EFT", "reason": "" }, "necessity": 
{ "type": "Configured By EFT", "reason": "" }, "riskAssessment": "EFT generated DPIA report", 
"riskMitigation": { "type": "Configured By EFT", "reason": "" }, 
"dpoAssigned": { "type": "Configured By EFT", "email": "" }, 
"transferSafeguard": "Configured By EFT" } }, "links": { "self": 
"admin/v2/sites/0de7387f-1506-427d-b997-e18bcdb8cbae/termsOfService" } }

GET PowerShell Sample

Copy
###GET GDRP Settings###
Write-Output "GET GDRP Settings"
Write-Output "-----------------"
#$siteID = "Enter site ID"
$GDPRlist = Invoke-RestMethod -Uri "$baseURL/v2/sites/$siteID/gdpr" 
-Method 'GET' -Headers $authHeader
Write-Output $GDPRlist | ConvertTo-Json -Depth 25

Method & URL

PATCH https://[server URL]:[port]/admin/v2/sites/{siteId}/gdpr

PATCH Body Sample

Copy
###PATCH the GDRP Settings###
PATCH  https://{{host}}/admin/v2/sites/{{Siteid}}/gdpr/ HTTP/1.1
Authorization: EFTAdminAuthToken {{AuthToken}}

{
  "data": {
    "type": "gdpr",
    "attributes": {
      "materialScope": "In scope",
      "territorialScope": {
        "type": "In Union, all subjects in scope (3.1)",
        "value": {
          "showEUStatus": true,
          "allUsersToChangeEUSubject": true
        }
      },
      "processingPrinciples": "General guidance not yet met",
      "lawfulnessOfProcessing": "Data subject consent (6.1.a)",
      "conditionsForConsent": "Set via EFT's ToS or Privacy Policy",
      "ageRestrictions": "Enforced via EFT's ToS or Privacy Policy",
      "transparentInformation": "Communicated via EFT's ToS or Privacy Policy",
      "directCollection": "Communicated via EFT's ToS or Privacy Policy",
      "indirectCollection": "Communicated via EFT's ToS or Privacy Policy",
      "rightOfAccess": "Exercised via EFT's web client",
      "rightToRectify": "Exercised via EFT's web client",
      "rightToBeForgotten": "Exercised via EFT's web client",
      "rightToRestrict": "Exercised via EFT's web client",
      "rightToBeNotified": "Exercised via EFT's event rules",
      "rightToExport": "Exercised via EFT's web client",
      "rightToObject": "Exercised via EFT's web client",
      "encryption": "Personal data is encrypted by EFT",
      "limitedAccess": "Configured By EFT",
      "purpose": {
        "type": "Configured By EFT",
        "reason": ""
      },
      "necessity": {
        "type": "Configured By EFT",
        "reason": ""
      },
      "riskAssessment": "EFT generated DPIA report",
      "riskMitigation": {
        "type": "Configured By EFT",
        "reason": ""
      },
      "dpoAssigned": {
        "type": "Configured By EFT",
        "email": "pofficer@mail.com"
      },
      "transferSafeguard": "Configured By EFT"
    }
  }
}

PATCH Response Body Sample

The response will return the same response as the GET request, however, it will now include the updated PATCH request(s).

Copy
{ "data": { "id": "0de7387f-1506-427d-b997-e18bcdb8cbae", "type": "gdpr", "attributes": { "materialScope": "In scope", 
"territorialScope": { "type": "In Union, all subjects in scope (3.1)", "value": { "showEUStatus": true, 
"allUsersToChangeEUSubject": true } }, "processingPrinciples": "General guidance not yet met", 
"lawfulnessOfProcessing": "Data subject consent (6.1.a)", "conditionsForConsent": "Set via EFT's ToS or Privacy Policy",
"ageRestrictions": "Enforced via EFT's ToS or Privacy Policy", "transparentInformation": 
"Communicated via EFT's ToS or Privacy Policy", "directCollection": "Communicated via EFT's ToS or Privacy Policy", 
"indirectCollection": "Communicated via EFT's ToS or Privacy Policy", "rightOfAccess": "Exercised via EFT's web client", 
"rightToRectify": "Exercised via EFT's web client", "rightToBeForgotten": "Exercised via EFT's web client", 
"rightToRestrict": "Exercised via EFT's web client", "rightToBeNotified": "Exercised via EFT's event rules", 
"rightToExport": "Exercised via EFT's web client", "rightToObject": "Exercised via EFT's web client", "encryption": 
"Personal data is encrypted by EFT", "limitedAccess": "Configured By EFT", "purpose": { "type": "Configured By EFT", 
"reason": "" }, "necessity": { "type": "Configured By EFT", "reason": "" }, "riskAssessment": "EFT generated DPIA report", 
"riskMitigation": { "type": "Configured By EFT", "reason": "" }, "dpoAssigned": { "type": 
"Configured By EFT", "email": "" }, "transferSafeguard": "Configured By EFT" } }, "links": { 
"self": "/admin/v2/sites/0de7387f-1506-427d-b997-e18bcdb8cbae/gdpr" } }

PATCH PowerShell Sample

Copy
### PATCH GDRP Settings###
### User must obtain the SiteID from Get Sites
Write-Output "PATCH GDRP Settings"
Write-Output "-------------------"
$update = 
'{
  "data": {
    "type": "gdpr",
    "attributes": {
      "materialScope": "In scope",
      "territorialScope": {
        "type": "In Union, all subjects in scope (3.1)",
        "value": {
          "showEUStatus": true,
          "allUsersToChangeEUSubject": true
        }
      },
      "processingPrinciples": "General guidance not yet met",
      "lawfulnessOfProcessing": "Data subject consent (6.1.a)",
      "conditionsForConsent": "Set via EFT\u0027s ToS or Privacy Policy",
      "ageRestrictions": "Enforced via EFT\u0027s ToS or Privacy Policy",
      "transparentInformation": "Communicated via EFT\u0027s ToS or Privacy Policy",
      "directCollection": "Communicated via EFT\u0027s ToS or Privacy Policy",
      "indirectCollection": "Communicated via EFT\u0027s ToS or Privacy Policy",
      "rightOfAccess": "Exercised via EFT\u0027s web client",
      "rightToRectify": "Exercised via EFT\u0027s web client",
      "rightToBeForgotten": "Exercised via EFT\u0027s web client",
      "rightToRestrict": "Exercised via EFT\u0027s web client",
      "rightToBeNotified": "Exercised via EFT\u0027s event rules",
      "rightToExport": "Exercised via EFT\u0027s web client",
      "rightToObject": "Exercised via EFT\u0027s web client",
      "encryption": "Personal data is encrypted by EFT",
      "limitedAccess": "Configured By EFT",
      "purpose": {
        "type": "Configured By EFT",
        "reason": ""
      },
      "necessity": {
        "type": "Configured By EFT",
        "reason": ""
      },
      "riskAssessment": "EFT generated DPIA report",
      "riskMitigation": {
        "type": "Configured By EFT",
        "reason": ""
      },
      "dpoAssigned": {
        "type": "Configured By EFT",
        "email": "pofficer@mail.com"
      },
      "transferSafeguard": "Configured By EFT"
    }
  }
}'
$update = $update | ConvertFrom-Json
$update = $update | ConvertTo-Json -Depth 30
$patchReturn = Invoke-RestMethod -Uri "$baseURL/v2/sites/$siteID/gdpr" 
-Method 'PATCH' -Headers $authHeader -Body $update